### Hierarchy

- Cache

## Index

### Methods

- add
- addAll
- delete
- keys
- match
- matchAll
- put

## Methods

### add

- add(request: RequestInfo): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2962

  #### Parameters

  - ##### request: RequestInfo

  #### Returns Promise<void>

### addAll

- addAll(requests: RequestInfo[]): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2963

  #### Parameters

  - ##### requests: RequestInfo[]

  #### Returns Promise<void>

### delete

- delete(request: RequestInfo, options?: CacheQueryOptions): Promise<boolean>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2964

  #### Parameters

  - ##### request: RequestInfo

  - ##### Optional options: CacheQueryOptions

  #### Returns Promise<boolean>

### keys

- keys(request?: RequestInfo, options?: CacheQueryOptions): Promise<ReadonlyArray<Request>>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2965

  #### Parameters

  - ##### Optional request: RequestInfo

  - ##### Optional options: CacheQueryOptions

  #### Returns Promise<ReadonlyArray<Request>>

### match

- match(request: RequestInfo, options?: CacheQueryOptions): Promise<Response | undefined>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2966

  #### Parameters

  - ##### request: RequestInfo

  - ##### Optional options: CacheQueryOptions

  #### Returns Promise<Response | undefined>

### matchAll

- matchAll(request?: RequestInfo, options?: CacheQueryOptions): Promise<ReadonlyArray<Response>>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2967

  #### Parameters

  - ##### Optional request: RequestInfo

  - ##### Optional options: CacheQueryOptions

  #### Returns Promise<ReadonlyArray<Response>>

### put

- put(request: RequestInfo, response: Response): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2968

  #### Parameters

  - ##### request: RequestInfo

  - ##### response: Response

  #### Returns Promise<void>

Generated using TypeDoc